-- 安全库存统计方案添加字段

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FMAINPLANTYPE')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FMAINPLANTYPE VARCHAR(10) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FDIMENSION')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FDIMENSION BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FPLANNERID')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FPLANNERID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FPLANGROUPID')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FPLANGROUPID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FSELECTRULEFORMULA')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FSELECTRULEFORMULA NVARCHAR(512) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FSELECTRULEFORMULA_TAG')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FSELECTRULEFORMULA_TAG NCLOB);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FSELECTRULEJSON')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FSELECTRULEJSON NVARCHAR(512) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_SSDAYSCHEME' AND KSQL_COL_NAME ='FSELECTRULEJSON_TAG')
 ALTER TABLE T_INVP_SSDAYSCHEME ADD (FSELECTRULEJSON_TAG NCLOB);

