﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_INVLEVEL') 
 CREATE TABLE T_INVP_INVLEVEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '5' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FMAINPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FDIMENSION BIGINT DEFAULT 0 NOT NULL,
FPLANNER BIGINT DEFAULT 0 NOT NULL,
FPLANGROUP BIGINT DEFAULT 0 NOT NULL,
FBOSORG BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUPSTANDARD BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUP BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FSUPPLYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FTGTINVDAYS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FURGENTINVDAYS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAFEINVDAYS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAILYCONSUME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEADTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPROCESSINGTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOSTPROCESSINGTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREORDER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FECOBATCH DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAFEINV DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLEDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_INVLEVEL_L') 
 CREATE TABLE T_INVP_INVLEVEL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SCHEMEORG') 
 CREATE TABLE T_INVP_SCHEMEORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SUPPLYDAY_L') 
 CREATE TABLE T_INVP_SUPPLYDAY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_LEVELSUPPLYDAY') 
 CREATE TABLE T_INVP_LEVELSUPPLYDAY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SUPPLYDAY') 
 CREATE TABLE T_INVP_SUPPLYDAY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FVALUE BIGINT DEFAULT 0 NOT NULL,
FSUPPLYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


